
#ifndef SSTMAC_SOFTWARE_SKELETONS_MINI_SCF_TASCEL_RPL_GAC_H_INCLUDED
#define SSTMAC_SOFTWARE_SKELETONS_MINI_SCF_TASCEL_RPL_GAC_H_INCLUDED

namespace scf_tascel
{

  void
  GA_Initialize();
  int
  GA_Nnodes();

  int
  GA_Nodeid();

  void
  GA_Sync();

  void
  GA_Terminate();

  /*new_nga_acc_*/
  /*nga_acc_*/

  void
  NGA_Acc(int g_a, int lo[], int hi[], void* buf, int ld[], void* alpha);

  void
  NGA_Access_block_grid(int g_a, int index[], void *ptr, int ld[]);

  /*nga_get_*/

  void
  NGA_Get(int g_a, int lo[], int hi[], void* buf, int ld[]);

  int
  NGA_Locate(int g_a, int subscript[]);

  void
  NGA_Put(int g_a, int lo[], int hi[], void* buf, int ld[]);

  long
  NGA_Read_inc(int g_a, int subscript[], long inc);

}

#endif
