#include <sstmac/common/factories/factory.h>

namespace sstmac {

void
SSTDesc_base::clear()
{
}

void
SSTFactory_base::add_to_map(const std::string& namestr, SSTDesc_base* desc,
    std::map<std::string, SSTDesc_base*>* m)
{
  std::string space = "|";
  std::deque<std::string> tok;
  pst::BasicStringTokenizer::tokenize(namestr, tok, space);

  std::deque<std::string>::iterator it, end = tok.end();

  for (it = tok.begin(); it != end; it++)
    {
      std::string temp = *it;

      temp = trim_str(temp);

      (*m)[temp] = desc;

    }
}

}
