/*
 *  This file is part of SST/macroscale:
 *               The macroscale architecture simulator from the SST suite.
 *  Copyright (c) 2009 Sandia Corporation.
 *  This software is distributed under the BSD License.
 *  Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
 *  the U.S. Government retains certain rights in this software.
 *  For more information, see the LICENSE file in the top
 *  SST/macroscale directory.
 */

#include <sstmac/common/messages/sst_serializer.h>
#include <sstmac/common/messages/serializable.h>

namespace sstmac
{
  debug sst_serializer::dbg_;
  debug ser_packer::dbg_;
  debug ser_unpacker::dbg_;
  debug ser_sizer::dbg_;

  /*boost::intrusive_ptr<serializable>
   sst_serializer::deserialize_object(long cls_id)
   {


   return obj;

   }*/

 /* template<typename T>
  boost::intrusive_ptr<T>
  sstmac::sst_serializer::deserialize_object(long cid)
  {
    sstmac::serializable::ptr obj =
        sstmac::serializable_factory::get_serializable(cid);
    obj->serialize_order(this);
    return boost::dynamic_pointer_cast<T>(obj);
  }*/

} // end of namespace sstmac
