#ifndef COMPONENT_H
#define COMPONENT_H

#include <sstmac/common/eventmodule.h>
#include <sstmac/hardware/common/connection.h>

namespace sstmac {
    namespace hw {

class component :
   virtual public eventmodule,
    public connectable
{
    public:
        typedef boost::intrusive_ptr<component> ptr;

        std::string to_string() const {
            return "component";
        }

        virtual void
        handle(const sst_message::ptr &msg){
            //do nothing
        }
};

    }
}

#endif // COMPONENT_H
