/*
 *  This file is part of SST/macroscale: 
 *               The macroscale architecture simulator from the SST suite.
 *  Copyright (c) 2009-2010 Sandia Corporation.
 *  This software is distributed under the BSD License.
 *  Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
 *  the U.S. Government retains certain rights in this software.
 *  For more information, see the LICENSE file in the top 
 *  SST/macroscale directory.
 */

#include <iostream>
#include <sstmac/sstmacro.h>

int user_skeleton_main(int argc, char **argv)
{
    std::cerr << "Running dummy skeleton. Code did not link properly to user_skeleton_main"
            " or launch_app_1 is wrong.\n";
    MPI_Init(&argc, &argv);
    MPI_Finalize();
    return 0;
}

void consume_parameters(const sim_parameters::ptr &params) {}
