/*
 * coremodel.cc
 *
 *  Created on: Oct 26, 2012
 *      Author: ghendry
 */

#include "coremodel.h"

namespace hpx
{

  using namespace std;
  using namespace sstmac;
  using namespace sstmac::sw;

  long coremodel::numcores_ = 0;
  sstmac::stat_sum::ptr coremodel::compute_time_;

  bool
  coremodel::in_swaps(hpx_runnable::ptr t)
  {
    return swap_vec_.find(t) != swap_vec_.end();
  }

  void
  coremodel::clear_from_swap(hpx_runnable::ptr t)
  {
    if (in_swaps(t))
      {
        swap_vec_.erase(t);
      }
  }

  void
  coremodel::put_in_swaps(hpx_runnable::ptr t)
  {
    if((int)swap_vec_.size() < swaps_){
         swap_vec_[t] = 0;
    }
  }
}
