/*  app.cc                                                                   */


#include "sstmac_upc/app.h"

namespace sstmac
{
    namespace sw
    {
        namespace upc
        {
            void
            app::init_libs(sim_parameters::ptr params)
            {
                upc_ = boost::dynamic_pointer_cast<api>(
                        api_factory::get_value("upc", params, id_));
                register_lib(upc_);
                sstmac::sw::app::init_libs(params);
            }
        }
    }
}
