/*  sstmac_upc_collective.cc                                                 */

#include "sstmac_upc_collective.h"

#include "sstmac_upc/app.h"
#include "sstmac_upc/api.h"

using namespace sstmac;

// Relocalization
template <typename T, size_t B, typename U, size_t C>
void upc_all_broadcast(sstmac::sw::upc::shared_ptr<T, B>& dst, sstmac::sw::upc::shared_ptr<U, C>& src, size_t nbytes, upc_flag_t flags)
{
    sst_throw(unimplementederror, "upc_all_broadcast is not supported currently.");
}

template <typename T, size_t B>
void upc_all_scatter(sstmac::sw::upc::shared_ptr<T, B>& dst, sstmac::sw::upc::shared_ptr<T, B>& src, size_t nbytes, upc_flag_t flags)
{
    sst_throw(unimplementederror, "upc_all_scatter is not supported currently.");
}

template <typename T, size_t B>
void upc_all_gather(sstmac::sw::upc::shared_ptr<T, B>& dst, sstmac::sw::upc::shared_ptr<T, B>& src, size_t nbytes, upc_flag_t flags)
{
    sst_throw(unimplementederror, "upc_all_gather is not supported currently.");
}

template <typename T, size_t B>
void upc_all_gather_all(sstmac::sw::upc::shared_ptr<T, B>& dst, sstmac::sw::upc::shared_ptr<T, B>& src, size_t nbytes, upc_flag_t flags)
{
    sst_throw(unimplementederror, "upc_all_gather_all is not supported currently.");
}

template <typename T, size_t B>
void upc_all_exchange(sstmac::sw::upc::shared_ptr<T, B>& dst, sstmac::sw::upc::shared_ptr<T, B>& src, size_t nbytes, upc_flag_t flags)
{
    sst_throw(unimplementederror, "upc_all_exchange is not supported currently.");
}

template <typename T, size_t B>
void upc_all_permute(sstmac::sw::upc::shared_ptr<T, B>& dst, sstmac::sw::upc::shared_ptr<T, B>& src, sstmac::sw::upc::shared_ptr<int, 1>& perm, size_t nbytes, upc_flag_t flags)
{
    sst_throw(unimplementederror, "upc_all_permute is not supported currently.");
}

// Computation
template <typename T, size_t B>
void upc_all_reduce(sstmac::sw::upc::shared_ptr<T, B>& dst, sstmac::sw::upc::shared_ptr<T, B>& src, upc_op_t op, size_t nelems, size_t blk_size, T (*func)(T, T), upc_flag_t flags)
{
    sst_throw(unimplementederror, "upc_all_reduce is not supported currently.");
}

template <typename T, size_t B>
void upc_all_prefix_reduce(sstmac::sw::upc::shared_ptr<T, B>& dst, sstmac::sw::upc::shared_ptr<T, B>& src, upc_op_t op, size_t nelems, size_t blk_size, T (*func)(T, T), upc_flag_t flags)
{
    sst_throw(unimplementederror, "upc_all_prefix_reduce is not supported currently.");
}

