//------------------------------------------------------------------------------
// 
//     SST/Macro tools set
//
//------------------------------------------------------------------------------

#ifndef SSTMAC_TOOLS_ANALYZER_STATS_ENTRYIMPL_INCLUDED_
#define SSTMAC_TOOLS_ANALYZER_STATS_ENTRYIMPL_INCLUDED_

#include "analyzer/stats/entry/entrygeneratebase.h"

namespace sstmac { namespace tools { namespace analyzer {

template< typename T > 
class EntryGenerate : public EntryGenerateBase 
                    , public T
{ 
public: 
    EntryGenerate(int nodeCount);

    virtual void Start();
    virtual void Stop();

    virtual void OnCallRecord(const CallRecordBase& record);
};

} } } //namespace

#include "analyzer/stats/entry/entrygenerateimpl.hh"

#endif //SSTMAC_TOOLS_ANALYZER_STATS_ENTRYIMPL_INCLUDED_
