//------------------------------------------------------------------------------
// 
//     SST/Macro tools set
//
//------------------------------------------------------------------------------


#ifndef SSTMAC_TOOLS_ANALYZER_STATS_STATSGENERATE_INCLUDED_
#define SSTMAC_TOOLS_ANALYZER_STATS_STATSGENERATE_INCLUDED_

#include <vector>
#include "common/stats/stats.h"

namespace sstmac { namespace tools { namespace analyzer {

class Trace;
class CallRecordBase;
class EntryGenerateBase;

class StatsGenerate : public Stats
{
public:
    StatsGenerate (Trace& trace);

    bool Generate();

private:
    void OnCallRecord(const CallRecordBase& record);

private:
    Trace& m_trace;
};

} } } //namespace

#endif //SSTMAC_TOOLS_ANALYZER_STATS_STATSGENERATE_INCLUDED_
