//------------------------------------------------------------------------------
// 
//     SST/Macro tools set
//
//------------------------------------------------------------------------------

#ifndef SSTMAC_TOOLS_COMMON_COMPARISON_COMPARISON_INCLUDED_
#define SSTMAC_TOOLS_COMMON_COMPARISON_COMPARISON_INCLUDED_

#include <string>
#include "common/registry/registry.h"
#include "common/comparison/criterion/criteriondatabase.h"

namespace sstmac { namespace tools {

typedef Registry<std::string, std::string> ComparisonMeta;

class Comparison : public Registry<std::string, CriterionDataBase::Ptr, SequenceKey>
{
public:
    ComparisonMeta& GetMetaData(int index);
    const ComparisonMeta& GetMetaData(int index) const;

protected:
    ComparisonMeta m_meta[2];
};

} } //namespace

#endif //SSTMAC_TOOLS_COMMON_COMPARISON_COMPARISON_INCLUDED_
