//------------------------------------------------------------------------------
// 
//     SST/Macro tools set
//
//------------------------------------------------------------------------------

#ifndef SSTMAC_TOOLS_COMMON_REGISTRY_IDENTICALKEY_INCLUDED_
#define SSTMAC_TOOLS_COMMON_REGISTRY_IDENTICALKEY_INCLUDED_

namespace sstmac { namespace tools {

template<typename StubType>
class IdenticalKey 
{
public:
    typedef StubType KeyType;

public:
    const KeyType& AllocateKey(const StubType& stub) {
        return stub;
    }

    const KeyType& GetKey(const StubType& stub) const {
        return stub;
    }
    
    void FreeKey(const StubType& stub){}
};

} } //namespace

#endif //SSTMAC_TOOLS_COMMON_REGISTRY_IDENTICALKEY_INCLUDED_
