//------------------------------------------------------------------------------
// 
//     SST/Macro tools set
//
//------------------------------------------------------------------------------

#ifndef SSTMAC_TOOLS_COMMON_STATS_STATS_INCLUDED_
#define SSTMAC_TOOLS_COMMON_STATS_STATS_INCLUDED_

#include "common/stats/entry/entrydatabase.h"
#include "common/registry/registry.h"

namespace sstmac { namespace tools {

typedef Registry<std::string, std::string> StatsMeta;

class Stats : public Registry<std::string, EntryDataBase::Ptr, SequenceKey>
{
public:
    StatsMeta& GetMetaData();
    const StatsMeta& GetMetaData() const;

protected:
    StatsMeta m_meta;
};

} } //namespace

#endif //SSTMAC_TOOLS_COMMON_STATS_STATS_INCLUDED_
