//------------------------------------------------------------------------------
// 
//     SST/Macro tools set
//
//------------------------------------------------------------------------------

#ifndef SSTMAC_TOOLS_COMPARATOR_SETTING_SETTING
#define SSTMAC_TOOLS_COMPARATOR_SETTING_SETTING

#include <string>

namespace sstmac { namespace tools { namespace comparator {
    
class Setting 
{
public:
    Setting();
    ~Setting();

    bool Load(int argc, char* argv[]);

    const std::string& GetReferencePath() const;
    const std::string& GetSimulationPath() const;
    const std::string& GetReportPath() const;

private:
    std::string m_referencePath;
    std::string m_simulationPath;
    std::string m_reportPath;
};

} } } //namespace

#endif //SSTMAC_TOOLS_COMPARATOR_SETTING_SETTING
