/* sstmac/common/config.h.  Generated from config.h.in by configure.  */
/* sstmac/common/config.h.in.  Generated from configure.ac by autoheader.  */

/* The include path for .ini configurations */
#define CONFIG_INSTALL_INCLUDE_PATH "/home/jpkenny/install/sstmacro/include/sstmac/configurations"

/* The include path for .ini configurations */
#define CONFIG_SRC_INCLUDE_PATH "/home/jpkenny/src/sstmacro/configurations"

/* Name of class to track */
/* #undef DEBUG_TRACK_CLS_NAME */

/* Whether to track refcounts of certain classes */
#define DEBUG_TRACK_CLS_REFCOUNT 0

/* Whether to enable tracking refcounts of certain objects */
#define DEBUG_TRACK_PTR_REFCOUNT 0

/* Whether to include SSTMAC_DEBUG if statements in code */
#define ENABLE_DEBUG 1

/* "Track/allow context switches for debugging purposes" */
/* #undef ENABLE_DEBUG_SWAP */

/* "Have Linux addr2line utility" */
#define HAVE_ADDR_TO_LINE 0

/* "Have Mac Os X atos utility" */
#define HAVE_ATOS 0

/* define if the Boost library is available */
/* #undef HAVE_BOOST */

/* Define to 1 if you have the <dlfcn.h> header file. */
#define HAVE_DLFCN_H 1

/* Define to 1 if you have the <execinfo.h> header file. */
#define HAVE_EXECINFO_H 1

/* Defined if Fortran support is configured */
/* #undef HAVE_FORTRAN */

/* "Graphviz utility is not available for use" */
#define HAVE_GRAPHVIZ 0

/* Define to 1 if you have the <inttypes.h> header file. */
#define HAVE_INTTYPES_H 1

/* Define to 1 if you have the `plplotwxwidgetsd' library
   (-lplplotwxwidgetsd). */
/* #undef HAVE_LIBPLPLOTWXWIDGETSD */

/* Description */
#define HAVE_LIBZ /**/

/* Define to 1 if you have the <memory.h> header file. */
#define HAVE_MEMORY_H 1

/* Define to 1 if you have the `MPI_Init' function. */
/* #undef HAVE_MPI_INIT */

/* Define to make pth available for threading */
#define HAVE_PTH 1

/* Define to allow use of pthreads */
#define HAVE_PTHREAD 1

/* Defined if pth_uctx_switch_ignore_sigmask is available. */
#define HAVE_PTH_UCTX_SWITCH_IGNORE_SIGMASK /**/

/* Define to 1 if you have the <stdint.h> header file. */
#define HAVE_STDINT_H 1

/* Define to 1 if you have the <stdlib.h> header file. */
#define HAVE_STDLIB_H 1

/* Define to 1 if you have the <strings.h> header file. */
#define HAVE_STRINGS_H 1

/* Define to 1 if you have the <string.h> header file. */
#define HAVE_STRING_H 1

/* Define to 1 if you have the <sys/stat.h> header file. */
#define HAVE_SYS_STAT_H 1

/* Define to 1 if you have the <sys/types.h> header file. */
#define HAVE_SYS_TYPES_H 1

/* Define to allow use of thread-local storage with __thread */
#define HAVE_TLS 1

/* Define to make ucontext available for threading */
#define HAVE_UCONTEXT 1

/* Define to 1 if you have the <unistd.h> header file. */
#define HAVE_UNISTD_H 1

/* Defined if VTK library is installed */
/* #undef HAVE_VTK */

/* Define to 1 if you have the <vtkRenderer.h> header file. */
/* #undef HAVE_VTKRENDERER_H */

/* Define to the sub-directory in which libtool stores uninstalled libraries.
   */
#define LT_OBJDIR ".libs/"

/* Name of package */
#define PACKAGE "sstmacro"

/* Define to the address where bug reports for this package should be sent. */
#define PACKAGE_BUGREPORT "ghendry@sandia.gov"

/* Define to the full name of this package. */
#define PACKAGE_NAME "sstmacro"

/* Define to the full name and version of this package. */
#define PACKAGE_STRING "sstmacro 3.0.0-beta1"

/* Define to the one symbol short name of this package. */
#define PACKAGE_TARNAME "sstmacro"

/* Define to the version of this package. */
#define PACKAGE_VERSION "3.0.0-beta1"

/* PLPlot private header filename. */
/* #undef PLPLOTP_H */

/* PLPlot header filename. */
/* #undef PLPLOT_H */

/* The size of `char', as computed by sizeof. */
#define SIZEOF_CHAR 1

/* The size of `double', as computed by sizeof. */
#define SIZEOF_DOUBLE 8

/* The size of `float', as computed by sizeof. */
#define SIZEOF_FLOAT 4

/* The size of `int', as computed by sizeof. */
#define SIZEOF_INT 4

/* The size of `long', as computed by sizeof. */
#define SIZEOF_LONG 8

/* The size of `long double', as computed by sizeof. */
#define SIZEOF_LONG_DOUBLE 16

/* The size of `long long', as computed by sizeof. */
#define SIZEOF_LONG_LONG 8

/* The size of `short', as computed by sizeof. */
#define SIZEOF_SHORT 2

/* The size of `unsigned char', as computed by sizeof. */
#define SIZEOF_UNSIGNED_CHAR 1

/* The size of `unsigned int', as computed by sizeof. */
#define SIZEOF_UNSIGNED_INT 4

/* The size of `unsigned long', as computed by sizeof. */
#define SIZEOF_UNSIGNED_LONG 8

/* The size of `unsigned long long', as computed by sizeof. */
#define SIZEOF_UNSIGNED_LONG_LONG 8

/* The size of `unsigned short', as computed by sizeof. */
#define SIZEOF_UNSIGNED_SHORT 2

/* The size of `void *', as computed by sizeof. */
#define SIZEOF_VOID_P 8

/* "Whether SST/macro should manually collect backtraces" */
#define SSTMACBacktrace GraphVizDoNothing

/* Whether safe mode should be run with sanity checks */
#define SST_SANITY_CHECK 0

/* Define to 1 if you have the ANSI C header files. */
#define STDC_HEADERS 1

/* Major version number */
#define SUBSUBVERSION 0

/* Major version number */
#define SUBVERSION 0

/* Define to use GMP instead of 64-bit integers for timestamps */
/* #undef USE_GMPXX */

/* Use Pth for threading by default. */
#define USE_PTH 1

/* Use pthread for threading by default. */
/* #undef USE_PTHREAD */

/* Use ucontext for threading by default. */
/* #undef USE_UCONTEXT */

/* Major version number */
#define VERSION 3

/* PLPlot header filename. */
/* #undef WXPLPLOTWINDOW_H */
