/*
 *  This file is part of SST/macroscale:
 *               The macroscale architecture simulator from the SST suite.
 *  Copyright (c) 2009 Sandia Corporation.
 *  This software is distributed under the BSD License.
 *  Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
 *  the U.S. Government retains certain rights in this software.
 *  For more information, see the LICENSE file in the top
 *  SST/macroscale directory.
 */

#include <sstmac/common/messages/valuepayload.h>


DeclareSerializable(sstmac::bitwisevaluepayload<int>);
DeclareSerializable(sstmac::bitwisevaluepayload<bool>);
DeclareSerializable(sstmac::bitwisevaluepayload<long>);
DeclareSerializable(sstmac::bitwisevaluepayload<short>);

DeclareSerializable(sstmac::valuepayload<int>);
DeclareSerializable(sstmac::valuepayload<bool>);
DeclareSerializable(sstmac::valuepayload<long>);
DeclareSerializable(sstmac::valuepayload<short>);
DeclareSerializable(sstmac::valuepayload<float>);
DeclareSerializable(sstmac::valuepayload<double>);
DeclareSerializable(sstmac::valuepayload<long long>);
DeclareSerializable(sstmac::valuepayload<unsigned long long>);
DeclareSerializable(sstmac::valuepayload<unsigned long>);
DeclareSerializable(sstmac::valuepayload<unsigned int>);
//DeclareSerializable(sstmac::valuepayload<unsigned short>);
