#include <sstmac/hardware/packetflow/packetflow_multiplexer.h>

namespace sstmac {
    namespace hw {

void
packetflow_multiplexer::handle_credit(const packetflow_credit::ptr &msg)
{
}

void
packetflow_multiplexer::handle_payload(const packetflow_payload::ptr &msg)
{
    //route to the appropriate buffer
    schedule(now(), output_, msg);
}

void
packetflow_multiplexer::request_access(int port, const packetflow_payload::ptr& msg)
{
    //send a credit back to the sender
    output_->handle(msg);
}

int
packetflow_multiplexer::add_input(const packetflow_handler::ptr &inp)
{
    int port = inputs_.size();
    inputs_[port] = inp;
    return port;
}

void
packetflow_multiplexer::set_eventmanager(const eventmanager::ptr &m)
{
    packetflow_handler::set_eventmanager(m);
}

    }
}
