#include <sstmac/software/api/hpx/runtime/hpx_thread_start.h>

#include <sstmac/software/api/hpx/runtime/hpx_thread_manager.h>

DeclareSerializable(hpx::hpx_thread_start);

namespace hpx
{

  using namespace sstmac;

  hpx_thread_start::hpx_thread_start(hpx_runnable::ptr run, timestamp t) :
    library_message(hpx_thread_manager::lib_name()), timed_message(t), run_(run)
  {

  }

}
