#include <sstmac/sstmacro.h>
#include <sstmac/common/test/test.h>
#include <sstmac/common/test/params.h>
#include <sstmac/hardware/network/switches/networkswitch.h>
#include <sstmac/hardware/network/network_message.h>
#include <sstmac/hardware/network/interconnect/interconnect_message.h>
#include <sstmac/hardware/network/topology/topology.h>

#include <tests/unittests/util/util.h>

void test_torus_traffic(UnitTest& unit);
void test_torus(UnitTest& unit);
void test_torus_valiant(UnitTest& unit);
void test_crossbar(UnitTest& unit);
void test_fattree2(UnitTest& unit);
void test_fattree4(UnitTest& unit);
void test_butterfly(UnitTest& unit);
void test_fbfly(UnitTest& unit);
void test_dragonfly_traffic(UnitTest& unit);
void test_dragonfly_v1(UnitTest& unit);
void test_dragonfly_v2(UnitTest& unit);



