//------------------------------------------------------------------------------
// 
//     SST/Macro tools set
//
//------------------------------------------------------------------------------

#include <sstream>

namespace sstmac { namespace tools { namespace analyzer {

template<typename T>
T MetaData::GetValue(const std::string& key) const
{
    T val;

    const std::string* valString = Get(key);

    if (valString)
    {
        std::istringstream strStream(*valString);
        strStream >> val;
    }

    return val;
}

} } } //namespace
