//------------------------------------------------------------------------------
// 
//     SST/Macro tools set
//
//------------------------------------------------------------------------------

#ifndef SSTMAC_TOOLS_COMPARATOR_COMPARISON_COMPARISONGENERATE_INCLUDED_
#define SSTMAC_TOOLS_COMPARATOR_COMPARISON_COMPARISONGENERATE_INCLUDED_

#include <vector>
#include "common/comparison/comparison.h"

namespace sstmac { namespace tools { class Stats; } }

namespace sstmac { namespace tools { namespace comparator {

class CriterionGenerateBase;

class ComparisonGenerate : public Comparison
{
public:
    ComparisonGenerate();

    bool Compare(const Stats& refStats, const Stats& simStats);
};

} } } //namespace

#endif //SSTMAC_TOOLS_COMPARATOR_COMPARISON_COMPARISONGENERATE_INCLUDED_
