//------------------------------------------------------------------------------
// 
//     SST/Macro tools set
//
//------------------------------------------------------------------------------

#ifndef SSTMAC_TOOLS_COMPARATOR_COMPARISON_CRITERION_CRITERIONGENERATEIMPL_INCLUDED_
#define SSTMAC_TOOLS_COMPARATOR_COMPARISON_CRITERION_CRITERIONGENERATEIMPL_INCLUDED_

#include "comparator/comparison/criterion/criteriongeneratebase.h"
#include "common/stats/stats.h"
#include "common/comparison/criterion/criteriondataimpl.h"

namespace sstmac { namespace tools { namespace comparator {

template< typename T > 
class CriterionGenerate : public CriterionGenerateBase 
                        , public T
{ 
public: 
    virtual bool Compare(const Stats& refStats, const Stats& simStats);

private:
    void CompareImpl(typename T::EntryDataPtr refEntry, typename T::EntryDataPtr simEntry);
};

} } } //namespace

#include "comparator/comparison/criterion/criteriongenerateimpl.hh"

#endif //SSTMAC_TOOLS_COMPARATOR_COMPARISON_CRITERION_CRITERIONGENERATEIMPL_INCLUDED_
